在 ubuntu 上编译安装 pacman

为了编译一个arch的包,迫不得已需要在现有的机器上安装pacman,具体的编译过程如下:

1
2
3
4
5
6
7
8
9
10
sudo apt install libarchive-dev bsdtar

git clone git://projects.archlinux.org/pacman.git
git checkout e6f72c61

cd pacman
./autogen.sh
./configure --disable-doc
make
sudo make install

其中可能会遇到一些依赖缺少,比如gettext, automake, autopoint, libcurl4-openssl-dev, libarchive-dev, bsdtar,依赖补全以后重新configure即可。

觉得有用的话赞助一点吧~